#!/bin/bash

DATE=`date +'%Y%m%d %H:%M:%S'`

this_dir="$(cd "$( dirname "$0" )" && pwd )"

logfile=$this_dir/install.log

hostnamectl |grep Kernel |fgrep el8 >/dev/null 2>&1

retval0=$?

if [ $retval0 = 1 ];then

echo "This software is invalid for Linux7.x"|tee -a $logfile
echo "You OS is `hostnamectl |grep Operating`" >>$logfile

exit 1
fi

echo "####$DATE PAP-Slave Start the installation####" >>$logfile

os=`hostnamectl |grep Operating | awk '{print $3}'`

if [ $os = Red ];then
rpm -qa |grep wqy-zenhei-fonts >/dev/null 2>&1
retval1=$?
 if [ $retval1 != 0 ];then
       if [ ! -f "$this_dir/source/wqy-zenhei-fonts.rpm" ];then
       echo "$DATE there is no such wqy-zenhei-fonts.rpm file"|tee -a $logfile
       exit 1
       else
       rpm -i $this_dir/source/wqy-zenhei-fonts.rpm >/dev/null 2>&1
       fi
  fi
fi

retval2=$?

if [ $retval2 = 0 ];then

PAPs=`find $this_dir/source -name "PowerActPro*" `

 if [ ! -f "$PAPs" ];then
  echo "$DATE there is no PAP-Slave installation file"|tee -a $logfile
  exit 1
 else
  rpm -i $PAPs
 fi
fi

retval3=$?

if [[ $retval3 = 0 ]] && [[ $os = Red ]] && [[ $retval1 = 1 ]];then
  rpm -e wqy-zenhei-fonts
fi

retval4=$?
if [ $retval4 = 0 ];then

#######replace new html########
cp -fp $this_dir/html/ic20.html /usr/lib/PowerActPro/SlaveAgent/help/html/
cp -fp $this_dir/html/ups001.html /usr/lib/PowerActPro/SlaveAgent/help/html/
cp -fp $this_dir/html/ups002.html /usr/lib/PowerActPro/SlaveAgent/help/html/
cp -fp $this_dir/html/ups003.html /usr/lib/PowerActPro/SlaveAgent/help/html/
cp -fp $this_dir/html/ShutdownAgentHelp.html /usr/lib/PowerActPro/SlaveAgent/help/

retval5=$?
 if [ $retval5 = 0 ];then
 echo "####$DATE PAP-Slave install finished####" >>$logfile
 else 
 echo "####$DATE faied install please check install log!####"|tee -a $logfile
 fi
fi
